#
# spec file for package gpxsee
#

Name:           gpxsee
Version:        7.11
Release:        %mkrel 1
Summary:        GPS log file visualization and analysis tool
License:        GPL-3.0-only
Group:          Graphics
Url:            http://www.gpxsee.org
Source0:        GPXSee-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  lib64qt5core-devel
BuildRequires:  lib64qt5gui-devel
BuildRequires:  lib64qt5concurrent-devel
BuildRequires:  lib64qt5widgets-devel
BuildRequires:  lib64qt5network-devel
BuildRequires:  lib64qt5printsupport-devel
BuildRequires:  lib64qt5opengl-devel
BuildRequires:  lib64qt5sql-devel
BuildRequires:  qttools5

Requires: qtimageformats5
Requires: lib64qt5-database-plugin-sqlite


%description
GPXSee is a Qt-based tool for visualizing and analyzing GPX, TCX, FIT, KML,
IGC, NMEA, SLF, LOC, OziExplorer (PLT, RTE, WPT), Garmin CSV and geotagged
JPEG files.

%prep
%setup -q -n GPXSee-%{version}

%build
lrelease gpxsee.pro
%{qmake_qt5} gpxsee.pro
make %{?_smp_mflags}

%install
install -d 755 %{buildroot}/%{_bindir}
install -d 755 %{buildroot}/%{_datadir}/applications
install -d 755 %{buildroot}/%{_datadir}/pixmaps
install -d 755 %{buildroot}/%{_datadir}/mime/packages
install -d 755 %{buildroot}/%{_datadir}/%{name}
install -d 755 %{buildroot}/%{_datadir}/%{name}/maps
install -d 755 %{buildroot}/%{_datadir}/%{name}/csv
install -d 755 %{buildroot}/%{_datadir}/%{name}/translations
install -m 755 gpxsee %{buildroot}/%{_bindir}/%{name}
install -m 644 pkg/maps/* %{buildroot}/%{_datadir}/%{name}/maps
install -m 644 pkg/csv/* %{buildroot}/%{_datadir}/%{name}/csv
install -m 644 lang/*.qm %{buildroot}/%{_datadir}/%{name}/translations
install -m 644 icons/gpxsee.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png
install -m 644 pkg/gpxsee.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -m 644 pkg/gpxsee.xml %{buildroot}/%{_datadir}/mime/packages/%{name}.xml

%post
if [ -x /usr/bin/update-mime-database ]; then
	/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi
if [ -x /usr/bin/update-desktop-database ]; then
	/usr/bin/update-desktop-database > /dev/null || :
fi

%postun
if [ -x /usr/bin/update-mime-database ]; then
	/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi
if [ -x /usr/bin/update-desktop-database ]; then
	/usr/bin/update-desktop-database > /dev/null || :
fi

%files
%defattr(-,root,root)
%dir %{_datadir}/gpxsee
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*

%changelog
* Sat Aug 10 2019 <travisn000> 7.11-1pclos2019
- Initial Build - version 7.11
  * Import from SuSE, remove un-needed stuff
